
/* This file removes extra blanks from data files.
*/

#include <stdio.h>
#include <ctype.h>
main()
{
	int c,blankflag;
	blankflag = 0;
	while((c = getchar()) !=EOF){
		if (c == ' ') { 
			blankflag = 1;
		} else { /* not blank*/
		    if (blankflag == 1) {
			putchar(' '); 
			blankflag = 0;
		    } 
		    /* have taken care of our debts for blanks */
		    putchar(c);		
		}
	}
}	
